PAPI_lock(3)

NAME
PAPI_lock -

Lock one of two mutex variables defined in papi.h.

SYNOPSIS

Detailed Description

PAPI_lock() grabs access to one of the two PAPI mutex variables. This function is provided to the user to have a platform independent call to a (hopefully) efficiently implemented mutex.

C Interface:
    #include <papi.h>
    void PAPI_lock(int lock);

Parameters:
    lock -- an integer value specifying one of the two user locks: PAPI_USR1_LOCK or PAPI_USR2_LOCK

Returns:
    There is no return value for this call. Upon return from PAPI_lock the current thread has acquired exclusive access to the specified PAPI mutex.

See Also:
    PAPI_unlock

    PAPI_thread_init

Author

Generated automatically by Doxygen for PAPI from the source code.